/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.component;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.*;
import java.io.Serializable;

/**
* Restful接口--新增资源--数据传输对象：业务组件表_发布
*
* createdate:  2022-10-26 17:52:19  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "业务组件表_发布")
public class ReBusComponentInfoAddDto implements Serializable
{
    /**
     * 主键<br>
     */
    @ApiModelProperty("主键")
    @Size(max = 32, message="主键-id: 数据长度不能 > 32" )
    private String id;

    /**
     * 组件名称<br>
     */
    @ApiModelProperty("组件名称")
    @Size(max = 100, message="组件名称-comName: 数据长度不能 > 100" )
    private String comName;
    /**
     * 组件类型1-接口，2-pcbs，3-pccs，4-安卓，5-ios<br>
     */
    @ApiModelProperty("组件类型1-接口，2-pcbs，3-pccs，4-安卓，5-ios")
    private Integer comType;

    /**
     * 说明<br>
     */
    @ApiModelProperty("说明")
    private String memo;
    /**
     * 系统空间<br>
     */
    @ApiModelProperty("系统空间")
    @Size(max = 32, message="系统空间-projectId: 数据长度不能 > 32" )
    private String projectId;

    /**
     * 脚本内容<br>
     */
    @ApiModelProperty("脚本内容")
    private String scriptContent;

    /**
     * 步骤参数<br>
     */
    @ApiModelProperty("步骤参数")
    private String paramJson;
    /**
     * 组件内容<br>
     */
    @ApiModelProperty("组件内容")
    private String comJson;

    /**
     * 组件复杂度<br>
     */
    @ApiModelProperty("组件复杂度")
    private Integer complexity;

    /**
     * 目录树id<br>
     */
    @ApiModelProperty("目录树id")
    @Size(max = 32, message="目录树id-treeId: 数据长度不能 > 32" )
    private String treeId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getComName() {
        return comName;
    }

    public void setComName(String comName) {
        this.comName = comName;
    }

    public Integer getComType() {
        return comType;
    }

    public void setComType(Integer comType) {
        this.comType = comType;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getScriptContent() {
        return scriptContent;
    }

    public void setScriptContent(String scriptContent) {
        this.scriptContent = scriptContent;
    }

    public Integer getComplexity() {
        return complexity;
    }

    public void setComplexity(Integer complexity) {
        this.complexity = complexity;
    }

    public String getTreeId() {
        return treeId;
    }

    public void setTreeId(String treeId) {
        this.treeId = treeId;
    }

    public String getParamJson() {
        return paramJson;
    }

    public void setParamJson(String paramJson) {
        this.paramJson = paramJson;
    }

    public String getComJson() {
        return comJson;
    }

    public void setComJson(String comJson) {
        this.comJson = comJson;
    }
}